Author: nbelaevski
Date: 2009-06-04 19:06:46 -0400 (Thu, 04 Jun 2009)
New Revision: 14530
Added:
branches/sandbox/rf4_build/make.sh
Log:
Build system: make.sh check-in
Added: branches/sandbox/rf4_build/make.sh
===================================================================
--- branches/sandbox/rf4_build/make.sh (rev 0)
+++ branches/sandbox/rf4_build/make.sh 2009-06-04 23:06:46 UTC (rev 14530)
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+PROJECT_DIR=`pwd`
+TAG_DIR='trunk'
+
+for MODULE in 'version-matrix' 'cdk' 'framework' 'ui'
'examples'
+do
+ echo
+ echo -e "\033[40m\033[1;32m---------------------------------\033[0m"
+ echo -e "\033[40m\033[1;32mMaking $MODULE/$TAG_DIR \033[0m"
+ echo -e "\033[40m\033[1;32m---------------------------------\033[0m"
+ echo
+
+ cd $PROJECT_DIR/$MODULE/$TAG_DIR
+
+ if mvn clean install; then
+ echo
+ else
+ exit $?
+ fi
+done
+
+
Show replies by date